## org.apache.poi.hssf.util
Class RangeAddress

    java.lang.Object
      org.apache.poi.hssf.util.RangeAddress

public class RangeAddress
extends java.lang.Object

Title: Range Address

Description: provides connectivity utilities for ranges

REFERENCE:

Version:
  1.0
Author:
  IgOr KaTz && EuGeNe BuMaGiN (Tal Moshaiov) (VistaPortal LDT.)

Constructor Summary
`RangeAddress(int _startCol, int _startRow, int _endCol, int _endRow)`
`RangeAddress(java.lang.String _url)` Accepts an external reference from excel.

Method Summary
`int` `get26Sys(java.lang.String _s)`
`java.lang.String` `getAddress()`
`java.lang.String` `getCharPart(java.lang.String _value)`
`java.lang.String` `getDigitPart(java.lang.String _value)`
`java.lang.String` `getFromCell()`
`int` `getHeight()`
`java.lang.String` `getRange()`
`java.lang.String` `getSheetName()`
`java.lang.String` `getToCell()`
`int` `getWidth()`
`int` `getXPosition(java.lang.String _subrange)`
`int` `getYPosition(java.lang.String _subrange)`
`boolean` `hasCell()`
`boolean` `hasRange()`
`boolean` `hasSheetName()`
`boolean` `isCellOk(java.lang.String _cell)`
`boolean` `isSheetNameOk()`
`static boolean` `isSheetNameOk(java.lang.String _sheetName)`
`java.lang.String` `numTo26Sys(int _num)`
`java.lang.String` `removeString(java.lang.String _source, java.lang.String _match)`
`java.lang.String` `replaceString(java.lang.String _source, java.lang.String _oldPattern, java.lang.String _newPattern)`
`void` `setSize(int _width, int _height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeAddress

    public RangeAddress(java.lang.String _url)

  Accepts an external reference from excel.

  i.e. Sheet1!$A$4:$B$9

Parameters:
  `_url` -

### RangeAddress

    public RangeAddress(int _startCol,
                        int _startRow,
                        int _endCol,
                        int _endRow)

Method Detail

### getAddress

    public java.lang.String getAddress()

  Returns:
    String note: All absolute references are removed

### getSheetName

    public java.lang.String getSheetName()

### getRange

    public java.lang.String getRange()

### isCellOk

    public boolean isCellOk(java.lang.String _cell)

### isSheetNameOk

    public boolean isSheetNameOk()

### isSheetNameOk

    public static boolean isSheetNameOk(java.lang.String _sheetName)

### getFromCell

    public java.lang.String getFromCell()

### getToCell

    public java.lang.String getToCell()

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### setSize

    public void setSize(int _width,
                        int _height)

### hasSheetName

    public boolean hasSheetName()

### hasRange

    public boolean hasRange()

### hasCell

    public boolean hasCell()

### getYPosition

    public int getYPosition(java.lang.String _subrange)

### getXPosition

    public int getXPosition(java.lang.String _subrange)

### getDigitPart

    public java.lang.String getDigitPart(java.lang.String _value)

### getCharPart

    public java.lang.String getCharPart(java.lang.String _value)

### get26Sys

    public int get26Sys(java.lang.String _s)

### numTo26Sys

    public java.lang.String numTo26Sys(int _num)

### replaceString

    public java.lang.String replaceString(java.lang.String _source,
                                          java.lang.String _oldPattern,
                                          java.lang.String _newPattern)

### removeString

    public java.lang.String removeString(java.lang.String _source,
                                         java.lang.String _match)

Copyright © 2003 Apache Software Foundation.